## org.omg.GIOP
Class PrincipalHelper

    java.lang.Object
      |
      +--org.omg.GIOP.PrincipalHelper

public class PrincipalHelper
extends java.lang.Object

Helper class for : Principal

Author:
  OpenORB Compiler

Constructor Summary
`PrincipalHelper()`

Method Summary
`static byte[]` `extract(Any a)` Extract Principal from an any
`static java.lang.String` `id()` Return the Principal IDL ID
`static void` `insert(Any a, byte[] t)` Insert Principal into an any
`static byte[]` `read(InputStream istream)` Read Principal from a marshalled stream
`static TypeCode` `type()` Return the Principal TypeCode
`static void` `write(OutputStream ostream, byte[] value)` Write Principal into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrincipalHelper

    public PrincipalHelper()

Method Detail

### insert

    public static void insert(Any a,
                              byte[] t)

  Insert Principal into an any
  Parameters:
    `a` - an any
    `t` - Principal value

### extract

    public static byte[] extract(Any a)

  Extract Principal from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Principal value

### type

    public static TypeCode type()

  Return the Principal TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Principal IDL ID
  Returns:
    an ID

### read

    public static byte[] read(InputStream istream)

  Read Principal from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Principal value

### write

    public static void write(OutputStream ostream,
                             byte[] value)

  Write Principal into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Principal value